From: "Jakov Smolić" <jsmolic@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-build/bmake/
Date: Thu, 21 Nov 2024 17:13:40 +0000 (UTC) [thread overview]
Message-ID: <1732209022.34611c29fff9e9a7fc3f17a39f3b3877b72889ae.jsmolic@gentoo> (raw)
commit: 34611c29fff9e9a7fc3f17a39f3b3877b72889ae
Author: Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 21 17:10:22 2024 +0000
Commit: Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
CommitDate: Thu Nov 21 17:10:22 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=34611c29
dev-build/bmake: add 20240921
Signed-off-by: Jakov Smolić <jsmolic <AT> gentoo.org>
dev-build/bmake/Manifest | 1 +
dev-build/bmake/bmake-20240921.ebuild | 57 +++++++++++++++++++++++++++++++++++
2 files changed, 58 insertions(+)
diff --git a/dev-build/bmake/Manifest b/dev-build/bmake/Manifest
index 25e572aacaa6..e49ca5c5c6e1 100644
--- a/dev-build/bmake/Manifest
+++ b/dev-build/bmake/Manifest
@@ -1,2 +1,3 @@
DIST bmake-20240808.tar.gz 874139 BLAKE2B 626aecfc152ca3a1c0193f8f64722f20eb653faab031751284a305233e8f808a5c7ecdc78dcdac78f0043613c5eb45fa73611a3ff786b96dbac0183192192850 SHA512 c80a5eb028da68ecd002720301f66ae9708a75a564aaf468d98c4f76416defb8e52bad2024ef3661cafb0741d5afd0146a70d01fe58735f3d5a416acff4c44c7
+DIST bmake-20240921.tar.gz 874802 BLAKE2B f6f636bdca8b86bfcd423f54db3d287fb944979c74b587cdf753aa9c8e2dab7c938342aa764f9c811b65d6ea54a241ffd74f99fe2f846c2c468370f4ff6942c0 SHA512 637b7044cfde1d067368e95ba57ff05367696b877893e3c28a3050671bcc11f91830f337af7a6ebf2b4022e4a5d68183a9be8375115490b5be8696162fe4bf42
DIST mk-20210330.tar.gz 107380 BLAKE2B 9ac30a117d9ba31635cf8d8d29fdba76f148611f47628403ca8f807081c32509f10498d3c30fd24985e5420af4710fe59fc6315d71f2d0c1cfed93263a06553a SHA512 6acd3ee911442934082f4f877d795b07c5e23022eaa9c0874799d97e92a2f5a663cb45f94b7f9745c49cbbce6b7e755a29e381ccfb9e68a0be1eedbd22fd5d3b
diff --git a/dev-build/bmake/bmake-20240921.ebuild b/dev-build/bmake/bmake-20240921.ebuild
new file mode 100644
index 000000000000..0c029b23710f
--- /dev/null
+++ b/dev-build/bmake/bmake-20240921.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MK_VER=20210330
+
+DESCRIPTION="NetBSD's portable make"
+HOMEPAGE="http://www.crufty.net/help/sjg/bmake.html"
+SRC_URI="
+ http://void.crufty.net/ftp/pub/sjg/${P}.tar.gz
+ http://void.crufty.net/ftp/pub/sjg/mk-${MK_VER}.tar.gz"
+S="${WORKDIR}/${PN}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+# Skip failing test (sandbox and csh)
+PATCHES=(
+ "${FILESDIR}"/${PN}-20210206-tests.patch
+)
+
+src_prepare() {
+ default
+ cd "${WORKDIR}" || die
+ eapply "${FILESDIR}"/${PN}-20210314-mk-fixes.patch
+}
+
+src_configure() {
+ econf \
+ --with-mksrc=../mk \
+ --with-default-sys-path="${EPREFIX}"/usr/share/mk/${PN} \
+ --with-machine_arch=${ARCH}
+}
+
+src_compile() {
+ sh make-bootstrap.sh || die "bootstrap failed"
+}
+
+src_test() {
+ cd unit-tests || die
+
+ # the 'ternary' test uses ${A} internally, which
+ # conflicts with Gentoo's ${A}, hence unset it for
+ # the tests temporarily.
+ env -u A MAKEFLAGS= \
+ "${S}"/bmake -r -m / TEST_MAKE="${S}"/bmake test || die "tests compilation failed"
+}
+
+src_install() {
+ dobin ${PN}
+ doman ${PN}.1
+ FORCE_BSD_MK=1 SYS_MK_DIR=. \
+ sh ../mk/install-mk -v -m 644 "${ED}"/usr/share/mk/${PN} \
+ || die "failed to install mk files"
+}
next reply other threads:[~2024-11-21 17:13 UTC|newest]
Thread overview: 29+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-11-21 17:13 Jakov Smolić [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-08 18:54 [gentoo-commits] repo/gentoo:master commit in: dev-build/bmake/ Arthur Zamarin
2025-03-08 16:42 Arthur Zamarin
2025-03-08 14:25 Sam James
2025-03-08 14:25 Sam James
2025-03-08 14:09 Sam James
2025-02-02 0:47 Jakov Smolić
2025-02-02 0:47 Jakov Smolić
2025-01-05 17:49 Arthur Zamarin
2025-01-05 17:49 Arthur Zamarin
2025-01-05 17:49 Arthur Zamarin
2025-01-05 17:49 Arthur Zamarin
2025-01-05 17:49 Arthur Zamarin
2024-12-02 13:15 Jakov Smolić
2024-12-01 19:57 Arthur Zamarin
2024-12-01 19:57 Arthur Zamarin
2024-10-08 12:50 Jakov Smolić
2024-10-06 10:55 Sam James
2024-10-06 10:55 Sam James
2024-08-30 15:31 Jakov Smolić
2024-08-25 11:12 Jakov Smolić
2024-07-30 23:44 Jakov Smolić
2024-07-27 15:26 Jakov Smolić
2024-07-27 15:26 Jakov Smolić
2024-06-25 16:50 Jakov Smolić
2024-06-25 16:50 Jakov Smolić
2024-06-19 7:34 Sam James
2024-02-24 12:40 Jakov Smolić
2024-02-24 12:40 Jakov Smolić
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1732209022.34611c29fff9e9a7fc3f17a39f3b3877b72889ae.jsmolic@gentoo \
--to=jsmolic@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox